X2Go Bug report logs - #643
X2Go Client session profiles configuration window too big (split up the Settings tab into two)

version graph

Package: x2goclient; Maintainer for x2goclient is X2Go Developers <x2go-dev@lists.x2go.org>; Source for x2goclient is src:x2goclient.

Reported by: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>

Date: Wed, 15 Oct 2014 20:25:01 UTC

Severity: important

Tags: pending

Found in version 4.0.3.0

Fixed in version 4.0.3.1

Done: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#643; Package x2goclient. (Wed, 15 Oct 2014 20:25:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
New Bug report received and forwarded. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Wed, 15 Oct 2014 20:25:01 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: submit@bugs.x2go.org
Subject: X2Go Client session profiles configuration window too big (split up the Settings tab into two)
Date: Wed, 15 Oct 2014 20:22:40 +0000
[Message part 1 (text/plain, inline)]
Package: x2goclient
Severity: important
Version: 4.0.3.0

Hi Alex,

I have just looked at the results of the first openSUSE builds of X2Go  
Client on openSUSE and tested this and that in X2Go Client  
4.0.3.0-preview.

What occurred to me is that I cannot access the [ OK ] and [ Cancel ]  
buttons of the session profile configuration window anymore. There are  
simply to many configuration widget items under the "Settings" tab  
which forces the whole session profile configuration window into its  
massive size.

IMHO, we need to address this rather sooner than later (because many  
people will stumble over this).

My suggestion is splitting up the "Settings" tab into Tab 1:  
"Input/Output" (Screen resolution stuff, clipboard stuff, keyboard  
stuf) and "Media" (Audio, Printing, later Telekinesis/Video).

Greets,
Mike

-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#643; Package x2goclient. (Wed, 26 Nov 2014 16:30:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Wed, 26 Nov 2014 16:30:01 GMT) Full text and rfc822 format available.

Message #10 received at 643@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 643-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 643@bugs.x2go.org
Subject: X2Go issue (in src:x2goclient) has been marked as pending for release
Date: Wed, 26 Nov 2014 17:28:25 +0100 (CET)
tag #643 pending
fixed #643 4.0.3.1
thanks

Hello,

X2Go issue #643 (src:x2goclient) reported by you has been
fixed in X2Go Git. You can see the changelog below, and you can
check the diff of the fix at:

    http://code.x2go.org/gitweb?p=x2goclient.git;a=commitdiff;h=c1d2280

The issue will most likely be fixed in src:x2goclient (4.0.3.1).

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
commit c1d22807941c8f54986a04adf0b8d8ae1717f45d
Author: Oleksandr Shneyder <o.shneyder@phoca-gmbh.de>
Date:   Wed Nov 26 17:27:55 2014 +0100

    Split Sessions config widget into Input/output and Media widgets. (Fixes: #643).

diff --git a/debian/changelog b/debian/changelog
index d5beff8..269b4eb 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -12,6 +12,11 @@ x2goclient (4.0.3.1-0x2go1) UNRELEASED; urgency=medium
   * New upstream release (4.0.3.1):
     - Update Danish translation file.
 
+  [ Oleksandr Shneyder ]
+  * New upstream release (4.0.3.1):
+    - Split Sessions config widget into Input/output and Media widgets.
+      (Fixes: #643).
+
  -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Tue, 21 Oct 2014 13:22:39 +0200
 
 x2goclient (4.0.3.0-0x2go1) unstable; urgency=low


Added tag(s) pending. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Wed, 26 Nov 2014 16:30:02 GMT) Full text and rfc822 format available.

Marked as fixed in versions 4.0.3.1. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Wed, 26 Nov 2014 16:30:02 GMT) Full text and rfc822 format available.

Message sent on to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Bug#643. (Wed, 26 Nov 2014 16:30:03 GMT) Full text and rfc822 format available.

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#643; Package x2goclient. (Thu, 27 Nov 2014 11:05:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Thu, 27 Nov 2014 11:05:02 GMT) Full text and rfc822 format available.

Message #22 received at 643@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 643-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 643@bugs.x2go.org
Subject: X2Go issue (in src:x2goclient) has been marked as closed
Date: Thu, 27 Nov 2014 12:01:11 +0100 (CET)
close #643
thanks

Hello,

we are very hopeful that X2Go issue #643 reported by you
has been resolved in the new release (4.0.3.1) of the
X2Go source project »src:x2goclient«.

You can view the complete changelog entry of src:x2goclient (4.0.3.1)
below, and you can use the following link to view all the code changes
between this and the last release of src:x2goclient.

    http://code.x2go.org/gitweb?p=x2goclient.git;a=commitdiff;h=0f04eb00f38bbb36bc968faea7135e2270b65972;hp=bfd6f535869f9b6cc8da6979c6f03db91a32a983

If you feel that the issue has not been resolved satisfyingly, feel
free to reopen this bug report or submit a follow-up report with
further observations described based on the new released version
of src:x2goclient.

Thanks a lot for contributing to X2Go!!!

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
X2Go Component: src:x2goclient
Version: 4.0.3.1-0x2go1
Status: RELEASE
Date: Thu, 27 Nov 2014 11:00:17 +0100
Fixes: 643 652
Changes: 
 x2goclient (4.0.3.1-0x2go1) RELEASED; urgency=medium
 .
   [ Mike Gabriel ]
   * New upstream release (4.0.3.1):
     - Fully rework x2goclient man page. Add many options that haven't been
       documented so far.
     - Make sound options configurable via X2Go Session Broker. (Fixes: #652).
     - Fix (cross-user) desktop sharing since introduction of clipboard mode
       feature.
     - Update several translation files after splitting of session profile's
       "Settings" tab into "Input/Output" and "Media". Translations for these
       two new tabs derived from the i18n files of PyHoca-GUI.
 .
   [ Mark Pedersen-Cook ]
   * New upstream release (4.0.3.1):
     - Update Danish translation file.
 .
   [ Oleksandr Shneyder ]
   * New upstream release (4.0.3.1):
     - Split Sessions config widget into Input/output and Media widgets.
       (Fixes: #643).


Marked Bug as done Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Thu, 27 Nov 2014 11:05:04 GMT) Full text and rfc822 format available.

Notification sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Bug acknowledged by developer. (Thu, 27 Nov 2014 11:05:05 GMT) Full text and rfc822 format available.

Message sent on to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Bug#643. (Thu, 27 Nov 2014 11:05:08 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.x2go.org> to internal_control@bugs.x2go.org. (Fri, 26 Dec 2014 06:24:01 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Thu Apr 18 10:36:57 2019; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.